### Method

# ECal ClientTzlookupICalCompData copy

since: 3.34

#### Declaration [src]

    ECalClientTzlookupICalCompData*
    e_cal_client_tzlookup_icalcomp_data_copy (
      const ECalClientTzlookupICalCompData* lookup_data
    )

#### Description [src]

Copies given `ECalClientTzlookupICalCompData` structure. When the `lookup_data` is `NULL`, simply returns `NULL` as well.

Available since: 3.34

#### Parameters

`lookup_data`

  Type: `ECalClientTzlookupICalCompData`

  Source `ECalClientTzlookupICalCompData`, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `ECalClientTzlookupICalCompData`

Copy of the `lookup_data`. Free the returned structure with e_cal_client_tzlookup_icalcomp_data_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.